CREATE TABLE ADViewType 
   ( OID                       DBOID NOT NULL  ,
     OVer                      DBOVER   ,
     adViewName                VarChar(254)   ,
     adUserName                VarChar(254)   ,
     adOwningTool              VarChar(254)   ,
     adImpName                 VarChar(254)   ,
     adViewList                DBOID   ,
     constraint v302PKADViewType Primary Key( OID ) )
     IN TOOLS ;

CREATE TABLE ADViewElem 
   ( OID                       DBOID NOT NULL  ,
     OVer                      DBOVER NOT NULL  ,
     adAttribName              VarChar(254)   ,
     adAttribViewName          VarChar(254)   ,
     adAttribDerived           Int   ,
     adViewList                DBOID   ,
     adViewType                DBOID   ,
     adRefViewList             DBOID   ,
     constraint v302PKADViewElem Primary Key( OID, OVer ) )
     IN TOOLS ;

CREATE TABLE ADViewList 
   ( OID                       DBOID NOT NULL  ,
     OVer                      DBOVER NOT NULL  ,
     adClassName               VarChar(254)   ,
     adLinkObject              Int   ,
     adRefViewType             DBOID   ,
     constraint v302PKADViewList Primary Key( OID, OVer ) )
     IN TOOLS ;

